These are default files that the user can include in their code, and are included by default when bootstrapping from the cli utility.

## Examples

**foo/wallaby.js**

```
module.exports = require('babelator/defaults/wallaby')
```

**foo/.eslintrc**

```
{
  "extends": "./node_modules/babelator/defaults/.eslintrc"
}
```

## ES6/7

IMPORTANT: Files here are not compiled with Babel.

Require files from the lib dir if you want to use Babel. E.g. `require('babelator/lib/...')`.

## Why use defaults?

A goal of babelator is to make things transparent to the user so they can understand how things work and make changes easily.

There are gulp tasks provided for eslint in babelator, and these tasks *could* take json eslint configuration from a centralized config file, or the defaults could be stored next to the gulp tasks.

However, when most developers want to make changes to the eslint config they expect it to be in an `.eslintrc` in the project root.
