'use strict';

var path = require('path');
var fs = require('fs');
var _ = require('lodash');
var cwd = require('cwd');
var getConfig = require('./root-config/getConfig');

main.getConfigPath = function () {
  return getConfig('babelator').configPath;
};

module.exports = main;

function main(opts) {
  var _getConfig = getConfig('babelator');

  var config = _getConfig.config;


  opts = _.defaultsDeep({}, opts, config, {
    srcDir: 'src',
    destDir: 'lib',
    shouldCompileTests: true,
    //eslintrc: {}
    //mocha: {},
    babel: {}
  });

  // Computed config.
  _.defaultsDeep(opts, {

    // TODO(vjpr): Exclude test files from this glob.
    // TODO(vjpr): Be careful of helpers. We might need to differentiate between them.
    srcGlob: opts.srcDir + '/**/*.js',

    destGlob: opts.destDir + '/**/*',

    // foo.test.js or foo-test.js
    //testsGlob: opts.srcDir + '/**/__tests__/**/*[\-\.]test.js',
    testsGlob: opts.srcDir + '/**/*[\-\.]@(test|spec).js',

    // We might need this for wallaby.js (https://github.com/wallabyjs/public/issues/124).
    //testsHelpersGlob: opts.srcDir + '/**/__tests__/**/*-helper.js',

    // Transpiled tests.
    //testsDestGlob: opts.destDir + '/**/__tests__/**/*[\-\.]test.js',
    testsDestGlob: opts.destDir + '/**/*[\-\.]@(test|spec).js'

  });

  _.defaultsDeep(opts.babel, {});

  return opts;
}